%define name gmyth
%define version 0.7.1
%define rel 7

%define major 0
%define libname %mklibname %{name} %{major}
%define libname_devel %mklibname -d %{name}

Summary: MythTV remote access libraries
Name: %{name}
Version: %version
Release: %mkrel %rel
# COPYING file states GPL but all source indicates LGPL.
# http://sourceforge.net/tracker/index.php?func=detail&aid=1790620&group_id=177106&atid=879914
License: LGPLv2+
Group: System/Libraries
Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0: gmyth-0.7.1-linkage.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
URL: http://gmyth.sf.net
BuildRequires: mysql-devel
BuildRequires: curl-devel
BuildRequires: libxml2-devel
BuildRequires: glib2-devel

%description
A library and utilities used by applications to access content provided by the
MythTV set-top box framework, such as Live TV broadcasts, TV recordings, or
TV listings.

%package -n %{libname}
Summary: Library files for MythTV remote access
Group: System/Libraries
Requires: %{name} = %{version}-%{release}

%description -n %{libname}
The GMyth library.

%package -n %{libname_devel}
Summary: Development libraries/headers for MythTV remote access
Group: Development/C
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{libname_devel}
Development libraries and headers for the GMyth library.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p0

%build
%configure2_5x --disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std

rm -fr %buildroot%_libdir/*.la

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -p /sbin/ldconfig
%endif

%files
%defattr(-, root, root)
%doc AUTHORS
%{_bindir}/*

%files -n %{libname}
%{_libdir}/libgmyth.so.%{major}*

%files -n %{libname_devel}
%defattr(-,root,root)
%{_includedir}/gmyth
%{_libdir}/libgmyth.so
%{_libdir}/pkgconfig/*.pc



%changelog
* Sat Jan 01 2011 Oden Eriksson <oeriksson@mandriva.com> 0.7.1-7mdv2011.0
+ Revision: 627243
- rebuilt against mysql-5.5.8 libs, again

* Thu Dec 30 2010 Oden Eriksson <oeriksson@mandriva.com> 0.7.1-6mdv2011.0
+ Revision: 626524
- rebuilt against mysql-5.5.8 libs

* Fri Dec 10 2010 Oden Eriksson <oeriksson@mandriva.com> 0.7.1-4mdv2011.0
+ Revision: 618991
- the mass rebuild of 2010.0 packages

* Wed Oct 07 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.7.1-3mdv2010.0
+ Revision: 455847
- rebuild for new curl SSL backend

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Sat Jan 31 2009 Funda Wang <fwang@mandriva.org> 0.7.1-1mdv2009.1
+ Revision: 335816
- New version 0.7.1

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuilt against mysql-5.1.30 libs

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Colin Guthrie <cguthrie@mandriva.org>
    - Spec cleanup

* Sat Mar 01 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7-1mdv2008.1
+ Revision: 177231
- New version

* Wed Jan 30 2008 Colin Guthrie <cguthrie@mandriva.org> 0.4-2mdv2008.1
+ Revision: 160121
- Remove old Requires left in from Fedora pacakge.

* Wed Jan 30 2008 Colin Guthrie <cguthrie@mandriva.org> 0.4-1mdv2008.1
+ Revision: 160116
- Fix some Groups
- Import from Fedora development package.
- import gmyth


